<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width">
        <meta name="description" content="A blog about my travels in Scotland and beyond">
        <meta name="author" content="Sophie Stephenson">
        <title>Saint for a Sem | A Rare Academic Update | November 10, 2018</title>
        <link rel="stylesheet" href="/style.css">
        <link href="https://fonts.googleapis.com/css?family=Lora|Oswald|Slabo+27px" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Dancing+Script" rel="stylesheet">
    </head>
    
    
     <body>
        <header>
            <div class="container">
                <div id="title">
                    <h1>Saint for a Sem</h1>
                </div>
                <nav>
                    <ul>
                        <li><a href="../index.html">Home</a></li>
                        <li><a href="../posts.html">Posts</a></li>
                        <li><a href="../itin.html">Itinerary</a></li>
                        <li><a href="../contact.html">Contact</a></li>
                    </ul>
                </nav>
            </div>
        </header>
         
          
        <div class="post">
            <h1>A Rare Academic Update</h1>
            <h2>November 10, 2018</h2>
            
           <p>As the end of the semester nears - just three weeks of classes left?? - time goes faster and faster. Everyone's busy with work all the time, including me, so the days all blur into each other and all of a sudden it's November. Don't even talk to me about how Thanksgiving is in less than two weeks because I don't understand how that happened. Anyway, updates ahead.</p>
            
            <h3>Vassar Things</h3>
            <p>So I've made a few decisions regarding my spring semester back at Vassar. The first is that I picked my classes and have submitted my hopeful schedule for next year. I'm hopefully taking:</p>
            <ul>
                <li>Modern Algebra, a requirement for my major that should also be interesting</li>
                <li>Computer Science II, which I will have already learned a bit of already this semester</li>
                <li>Bioethics and Biopolitics, a philosophy course that covers topics such as assisted suicide and abortion</li>
                <li>History of American Jazz, my "for fun" class</li>
                <li>Global Change and Sustainability, which will hopefully make me more informed about the state of our planet and my impact</li>
            </ul>    
            <p>I also emailed the computer science department to inquire about doing independent work for credit with a professor. My problem is that I can only take this one CS class because it's a prerequisite for all others, but the class I'm currently taking will have already taught me about half the class. I'd love to continue to challenge myself in CS so I'm waiting to see if this is another option for me. But for now, the classes above are the ones I've preregistered for.</p>
            <p>Second, I decided to cut out some of my extracurriculars. Last semester, I had zero free time, and although I was doing things I enjoyed, I was definitely missing out on other things and not spending enough time on my work. This semester has made me realize that. So, I've decided to quit Jazz Band and jazz piano lessons, both of which I only added last semester. I won't miss them too much - jazz piano is lots of fun, but I'm more of a music reader than an improviser, and it caused me more stress than actual enjoyment. I've also quit VCC (Vassar College Choir) for just the spring semester. This way, I can focus on Majors, my student-run choir, and my first music directing gig ever, which will be for a student theater production of Sweet Charity. I'm really happy with these decisions because I want to give the music directing as much attention as possible, and I also want to be able to spend more time doing good work and getting better at computer science especially, since I'm still pretty far behind. And I think it'll let me focus on the things I'm really passionate about instead of just loading up on a bunch of things I just kind of like doing.</p>
              
            
            <h3>Academics</h3>
            <p>My mom told me the other day that everyone who goes abroad talks about their travels, and their friends, and the events they go to, but people have to ask directly to hear about academics. I have definitely also been doing this. Sorry! Why don't I tell you a bit about my classes and what I've been working on.</p>
            <p>Of my three classes, my favorite is absolutely Object-Oriented Programming, my computer science module. The module is focused on learning the programming language Java and best practices for object-oriented design. The class is graded by practical assignments every two weeks and a final exam. So far, we've written programs to calculate the cost of a wedding, convert kilograms to imperial measures, and represent an online gaming situation with player and game objects that can be manipulated. In the practical we're working on right now, we have to write a program that lets users play chess. The practicals keep getting harder and I l o v e it. I'm spending hours in the lab, but it's okay, because I could be there for days without getting tired of being there. I'm really thankful for this module because it is showing me that 1) I really, really like coding and 2) I'm pretty good at it, too. I feel really confident now that this is what I want to do and I'm excited to keep learning. </p>
            <p>Next we have Analysis, my math(s) module. By the way, if you hear me saying "maths" when I get back home, please tell me to stop. I hate it but somehow have started saying it / typing it sometimes. Anyway, this module has been good - there's lots of proofing, which is my favorite, and the lecturer, who is also my tutor, is pretty good at explaining things. It's progressively getting more confusing, but I aced our class test, so I'm feeling confident that it'll turn out okay. If anyone's wondering what we're actually learning in the class, so far we've looked at convergence of sequences and series and are now onto continuous functions, and apparently we will be going into differentiation soon. Not too excited about that. But yeah, I do like this module.</p>
            <p>Last but not least is Scottish Music. This module is honestly a wildcard. Some days, the lecture is really interesting - one last week, for example, was about the concerts that occurred on New Year's Day in 1880 in Glasgow - and sometimes there are even guest lecturers who come in to play the bagpipes or sing a Gaelic folk song. But then some days are quite boring, and since the lectures are at 9am, it can be a little hard to focus. Also, this is the only class I have that has essay-writing involved; there are only two essays total for the semester, but they're so much work. I've never really written a research essay before so the last one kind of kicked my butt - I can't tell you how many books about bagpipes I had to carry around for a week trying to extract the influence of the bagpipe's military uses on its characteristics. So this is the class I like doing work for the least. But it has made me wonder how I could be using the library back at school, which I only ever sit in and never actually check books out of. And despite not loving the essay-writing part of it, I have definitely enjoyed this module. I feel like I know more about the country I'm living in because of it. Plus, it's fun to walk into class and hear bagpipes playing. Just reminds me where I am and how lucky I am to be here.</p>
            <p>Please do ask if you want to hear more about any of the classes I'm taking, since this is probably the last time I'll talk about them in any depth, at least on this blog. I promise that schoolwork really is a big part of my time here, even if it doesn't always seem like it.</p>
            
            <h3>Recent Events</h3>
            <p><img id="h" class="r-img" src="../img/halloween.jpg">
                When I wasn't doing work, I did a bunch of fun things the past couple of weeks. First, we had Halloween! I couldn't get as hyped up about it as I do in the US, and I could only use what I had in my closet for a costume, but it was still fun. As you can see from the photo, I went as a cowgirl and my friend Kelly went as a cat. One thing that did put me in the spoopy mood was my spider-web I put on the wall (that made a great picture prop!!). We had a nice night with our friend Maud just hanging out with friends in their flat and then at the Union bar.</p>
            <p><img id="v" class="l-img" src="../img/bonfire-night.jpg">A few days later, I went to my first potluck with the STAAG (St Andrews Adventure Group). That's the group I went on my camping trip with. I made some slightly improvised pasta salad and went over to a friend's flat to meet everyone. It was a delicious spread and really nice company, and I'll definitely be going to another one soon. The next day, Monday, was bonfire night, which was everything I could have imagined. I went to the STAAG bonfire on the beach, but it took me a long time to find the right one because there were dozens of fires all along the shore, each with its own selection of tiny, pitiful fireworks that still inspired "oohs" and "ahhs" from the students wandering near them. I love fire and fireworks, so it was a great way to spend my Monday night. Then, the day after was the midterm elections. I hadn't been keeping up too much with any candidates, but I did know I needed to watch the Wisconsin ones, and for sure Beto in Texas (rip). I ended up going to a watch party with some fellow American democrats (and our very politically knowledgeable Scottish friend) , which was really quite fun. I made it from about midnight to 3am, and then I had to go home. It was nice to get involved in the election in some way, though, because I have felt kind of far from American politics and events while abroad. Plus, it was the first major election that I could vote in, so I wanted to watch the results as they came.  </p>
            
            
            <p><img id="h" class="r-img" src="../img/airbnb.jpg">Then, this weekend, I went to Glasgow with some fellow study abroad folks for a concert! We took a 3-hour bus ride straight to the city Friday afternoon and made it to our Airbnb around 5:30. It was advertised as funky, and it sure was ! Probably the best Airbnb any of us has stayed in. On one wall, there was an enormous, potentially hand-painted Sex Pistols poster with three stools inexplicably facing it. Plus there was a fireplace. We loved it. In the photo on the right, you can see one of the fun walls of the place with Addie sitting in the comfy chair we dubbed "The Pod". After we admired our place for the night, we went to scope out dinner and ended up finding a cool pub called the Crafty Pig. We had some delicious and affordable burgers and a pint or two, then headed to the venue to see Leon Bridges. <img id="h" class="l-img" src="../img/glasgow-metro.jpg"> The venue ended up being really cool and Leon was incredible. The crowd didn't have a whole lot of energy, which made it a bit less fun, but I still had a good time. We ended up going to Taco Bell afterward - the only one in Scotland - and went back to hang out in our place for a bit before crashing. In the morning, we went to a little place for brunch, stopped in a couple amazing (and, sadly, expensive) vintage stores, then took the metro back to the bus station and headed home. To the left is the group we went with: left to right, Michael, me, Zack, and Addie. Emmy took the picture. Michael and Emmy go to Wesleyan and Zack goes to Connecticut College. They were all great to travel with and I'd definitely do things with them again. Not sure if I need to go to Glasgow again, though; it was a pretty average city as far as I could tell, and didn't have that cozy feel of St Andrews. I'm glad I got to visit for a night, though.</p>
            
            <p>As usual, there are more fun things coming up. Tonight I'm going to another ceilidh and could Not be more excited, and I'm also going to a folk session on Sunday with the Folk and Trad Society. At the folk sessions, the society gets together and all learns a song, then jams for a bit. Cannot wait. I'm excited to see St Andrews shift into holiday mode, too - the Christmas Light Switch-On is happening soon, so hopefully that will kick me into Christmas mode. Snow would definitely do that too, but not sure if we'll get that here... Guess I have to wait and see. Until next time! </p>
            
            
            
            
            
             <div id="signoff">Cheers, Sophie</div>
        
    
        </div>
    
    </body>
    
    
    <footer  class="post-footer">
            <div class="container">
                <div id="name">
                    <p><a href="post-eight.html">
                        Next Post</a></p>
                </div>
                <div id="title">
                    <p><a href="post-six.html">Previous Post</a></p>
                </div>
            </div>
        </footer>
    
</html>